Package ghidra.app.util.bin.format.macos.rm

# Class ResourceMap

java.lang.Object
ghidra.app.util.bin.format.macos.rm.ResourceMap

All Implemented Interfaces:
  `StructConverter`

public class ResourceMap extends Object implements StructConverter

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResourceHeader`
  `getCopy()`
  `short`
  `getFileReferenceNumber()`
  `int`
  `getHandleToNextResourceMap()`
  `long`
  `getMapStartIndex()`
  `short`
  `getNumberOfTypes()`
  `List<ReferenceListEntry>`
  `getReferenceEntryList()`
  `short`
  `getResourceForkAttributes()`
  `short`
  `getResourceNameListOffset()`
  `List<ResourceType>`
  `getResourceTypeList()`
  `short`
  `getResourceTypeListOffset()`
  `String`
  `getStringAt(short offset)`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCopy

    public ResourceHeader getCopy()

  - ### getHandleToNextResourceMap

    public int getHandleToNextResourceMap()

  - ### getFileReferenceNumber

    public short getFileReferenceNumber()

  - ### getResourceForkAttributes

    public short getResourceForkAttributes()

  - ### getResourceTypeListOffset

    public short getResourceTypeListOffset()

  - ### getResourceNameListOffset

    public short getResourceNameListOffset()

  - ### getNumberOfTypes

    public short getNumberOfTypes()

  - ### getResourceTypeList

    public List<ResourceType> getResourceTypeList()

  - ### getReferenceEntryList

    public List<ReferenceListEntry> getReferenceEntryList()

  - ### getStringAt

    public String getStringAt(short offset)

  - ### getMapStartIndex

    public long getMapStartIndex()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`